/**
 * 部分配置
 * @author yutent<yutent.io@gmail.com>
 * @date 2020/09/22 17:19:39
 */

const ENV_PROD = 'production'
const ENV_DEV = 'development'

export default {
  // 动态路由模式, 即无论是访问路径是什么, 永远只会调用 \apps\index\index()
  dynamic: false,
  port: 3000,
  env: process.env.NODE_ENV === ENV_PROD ? ENV_PROD : ENV_DEV,
  debug: process.env.NODE_ENV === ENV_DEV, // debug模式

  cors: {
    enabled: false,
    credentials: false,
    origin: [], // ['abc.com', 'a.foo.com']
    maxAge: 14400
  },
  // 常用正则
  regexp: {
    email: /^[\w\.\-]+@\w+([\.\-]\w+)*\.\w+$/,
    uname: /^[A-Za-z\d_]{4,16}$/,
    passwd: /^\S{6,20}$/,
    phone: /^1[3456789]\d{9}$/,
    idCard: /^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}([0-9]|X|x)$/,
    cn: /^[\u4e00-\u9fa5]+$/,
    qq: /^\d{5,12}$/
  }
}
